Skip to main content
`Ctrl`+`K`

# EPSLOBPCGGetLocking

Gets the locking flag used in the LOBPCG method.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLOBPCGGetLocking(EPS eps,PetscBool *lock)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- lock - the locking flag

## See Also

EPS: Eigenvalue Problem Solver, `EPSLOBPCG`, `EPSLOBPCGSetLocking()`

## Level

advanced

## Location

src/eps/impls/cg/lobpcg/lobpcg.c

## Implementations

EPSLOBPCGGetLocking_LOBPCG() in src/eps/impls/cg/lobpcg/lobpcg.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages